### Method

# Ide Diagnostics foreach_line_in_range

#### Declaration

    void
    ide_diagnostics_foreach_line_in_range (
      IdeDiagnostics* self,
      GFile* file,
      guint begin_line,
      guint end_line,
      IdeDiagnosticsLineCallback callback,
      gpointer user_data
    )

#### Description

This function calls `callback` for every line with diagnostics between `begin_line` and `end_line`. This is useful when drawing information about diagnostics in an editor where a known number of lines are visible.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`begin_line` | `guint`
| The starting line.
`end_line` | `guint`
| The ending line.
`callback` | `IdeDiagnosticsLineCallback`
| A callback to execute for each matching line.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.